# Get License Details

Returns detailed information about a specific license

Endpoint: GET /api/v2.0/licenses/{licenseName}
Version: 2.0
Security: bearer-key

## Path parameters:

  - `licenseName` (string, required)
    license name (by running General Info - Licenses > Get All Licenses).

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (object)

  - `retVal.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.name` (string, required)
    Example: "MIT"

  - `retVal.spdxName` (string)
    Example: "Glide"

  - `retVal.type` (string)
    Example: "OPEN_SOURCE"

  - `retVal.suspected` (boolean)

  - `retVal.osiApproved` (boolean)

  - `retVal.profile` (object)

  - `retVal.profile.uuid` (string)

  - `retVal.profile.name` (string)

  - `retVal.profile.links` (array)
    Example: ["http://www.opensource.org/licenses/AFL-3.0"]

  - `retVal.profile.copyrightRiskScore` (object)

  - `retVal.profile.copyrightRiskScore.explanation` (string)
    Example: "http://en.wikipedia.org/wiki/Academic_Free_License"

  - `retVal.profile.copyrightRiskScore.indicatingText` (string)
    Example: "1) Grant of Copyright License..."

  - `retVal.profile.copyrightRiskScore.riskScore` (integer)
    Example: 39

  - `retVal.profile.patentAndRoyaltyRisk` (object)

  - `retVal.profile.royaltyFree` (string)
    Example: "Conditional"

  - `retVal.profile.copyleft` (object)

  - `retVal.profile.copyleft.explanation` (string)
    Example: "http://en.wikipedia.org/wiki/Academic_Free_License"

  - `retVal.profile.copyleft.indicatingText` (string)
    Example: "1) Grant of Copyright License..."

  - `retVal.profile.copyleft.description` (string)
    Example: "Not a CopyLeft license."

  - `retVal.profile.copyleft.displayText` (string)
    Example: "No"

  - `retVal.profile.linking` (object)

  - `retVal.profile.requiredNotices` (array)
    Example: ["Must identify specific modifications"]

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


